commit: a483a595d6e16f0787d87747a03f408c9a9e4d1d
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 20 18:21:04 2018 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Aug 20 18:21:04 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a483a595
sys-apps/net-tools: bump to v1.60_p20180626073013
Package-Manager: Portage-2.3.47, Repoman-2.3.10
sys-apps/net-tools/Manifest | 1 +
.../net-tools-1.60_p20180626073013.ebuild | 90 ++++++++++++++++++++++
2 files changed, 91 insertions(+)
diff --git a/sys-apps/net-tools/Manifest b/sys-apps/net-tools/Manifest
index 0af9d33b5c9..88a0463a800 100644
--- a/sys-apps/net-tools/Manifest
+++ b/sys-apps/net-tools/Manifest
@@ -1,2 +1,3 @@
DIST net-tools-1.60_p20161110235919.tar.xz 227552 BLAKE2B
0dba75b7b7345be047bd8618811c6ea43f96f0d7c8a2c67cd03138b8f31dc47a641c7ff1e93fb1ad295423f9b82e3d222178c7c97233d4e3698355fed729f723
SHA512
06c2900305a5b11035bdb9d94e9d0a50c2ca832e14598d00d6907d99a4a3c981169475bbe916805888f9746a7d787829f20e6a4dec283731a2c85a72875b8e01
DIST net-tools-1.60_p20170221182432.tar.xz 227924 BLAKE2B
2617d99da0fa188163bcade5584038fcf8c9c73c23c5577585c3452f4e7b93b2d0cae06ae6d8e5543e04bdd93c247cf4c555751905406b88dcd16dec26bebeca
SHA512
38cf9a0e5a1b2494d1e8f491638f8e35cf04d630e9eae275cb1d0b997f2b73c62bdd40b0420e0f5f2aa212aefa7516ff773b6e3a19c0cbf442e785d2c7dad28e
+DIST net-tools-1.60_p20180626073013.tar.xz 228276 BLAKE2B
1545533abf75cb960896994710a02f0e4f5534232057fa9c80d2ec54af84d068d3337a93e869e8377539584eebf4c4d8175e16f19bc12360946ab908b41b2f2f
SHA512
3ea9036c2597e6da3a1d9a61a77bbe0b80c448d42a3cc59469f37255064d9e046b5f331155adac256f9812200342f72624ba1ea27a4ee3696b3c9ad53b6b86eb
diff --git a/sys-apps/net-tools/net-tools-1.60_p20180626073013.ebuild
b/sys-apps/net-tools/net-tools-1.60_p20180626073013.ebuild
new file mode 100644
index 00000000000..3aa31e441b4
--- /dev/null
+++ b/sys-apps/net-tools/net-tools-1.60_p20180626073013.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://git.code.sf.net/p/net-tools/code"
+ inherit git-r3
+else
+ SRC_URI="mirror://gentoo/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64
~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+DESCRIPTION="Standard Linux networking tools"
+HOMEPAGE="http://net-tools.sourceforge.net/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+arp +hostname ipv6 nis nls plipconfig selinux slattach static"
+REQUIRED_USE="nis? ( hostname )"
+
+RDEPEND="selinux? ( sys-libs/libselinux )"
+DEPEND="${RDEPEND}
+ selinux? ( virtual/pkgconfig )
+ app-arch/xz-utils"
+if [[ ${PV} == "9999" ]]; then
+ DEPEND+=" nls? ( sys-devel/gettext )"
+fi
+RDEPEND+="
+ hostname? ( !sys-apps/coreutils[hostname] )
+ !<sys-apps/openrc-0.9.9.3"
+
+maint_pkg_create() {
+ cd /usr/local/src/net-tools
+ #git-update
+ local stamp=$(date --date="$(git log -n1 --pretty=format:%ci master)"
-u +%Y%m%d%H%M%S)
+ local pv="${PV/_p*}_p${stamp}"; pv=${pv/9999/1.60}
+ local p="${PN}-${pv}"
+ git archive --prefix="${p}/" master | tar xf - -C "${T}"
+ pushd "${T}" >/dev/null
+ emake -C "${p}/po" dist
+ sed -i "/^RELEASE/s:=.*:=${pv}:" */Makefile || die
+ tar --exclude-vcs cf - ${p}/ | xz > ${p}.tar.xz
+ popd >/dev/null
+
+ du -b "${T}"/*.tar.xz
+}
+
+pkg_setup() { [[ -n ${VAPIER_LOVES_YOU} ]] && maint_pkg_create ; }
+
+set_opt() {
+ local opt=$1 ans
+ shift
+ ans=$("$@" && echo y || echo n)
+ einfo "Setting option ${opt} to ${ans}"
+ sed -i \
+ -e "/^bool.* ${opt} /s:[yn]$:${ans}:" \
+ config.in || die
+}
+
+src_configure() {
+ # Clear out env vars from the user. #599602
+ unset BASEDIR BINDIR SBINDIR
+
+ set_opt I18N use nls
+ set_opt HAVE_AFINET6 use ipv6
+ set_opt HAVE_HWIB has_version '>=sys-kernel/linux-headers-2.6'
+ set_opt HAVE_HWTR has_version '<sys-kernel/linux-headers-3.5'
+ set_opt HAVE_HWSTRIP has_version '<sys-kernel/linux-headers-3.6'
+ set_opt HAVE_SELINUX use selinux
+ set_opt HAVE_ARP_TOOLS use arp
+ set_opt HAVE_HOSTNAME_TOOLS use hostname
+ set_opt HAVE_HOSTNAME_SYMLINKS use nis
+ set_opt HAVE_PLIP_TOOLS use plipconfig
+ set_opt HAVE_SERIAL_TOOLS use slattach
+ if use static ; then
+ append-flags -static
+ append-ldflags -static
+ fi
+ tc-export AR CC
+ yes "" | ./configure.sh config.in || die
+}
+
+src_install() {
+ # We need to use emake by hand to pass ED. #567300
+ emake DESTDIR="${ED}" install
+ dodoc README THANKS TODO
+}